Skip to main content
`Ctrl`+`K`

# param_type Class Reference

API library: rocrand_cpp::lognormal_distribution< RealType >::param_type Class Reference
Public Types | Public Member Functions | List of all members
rocrand_cpp::lognormal_distribution< RealType >::param_type Class Reference

The type of the distribution parameter set. More...

`#include <rocrand.hpp>`

## Public Types

using | distribution_type = lognormal_distribution<RealType>
| Alias for convenience.

## Public Member Functions

| param_type (RealType m=0.0, RealType s=1.0)
| Constructs a `param_type` object with the given distribution parameters.
| param_type (const param_type &params)=default
| Copy constructor.
param_type & | operator= (const param_type &params)=default
| Copy assignment operator.
RealType | m () const
| Returns the deviation distribution parameter.
RealType | s () const
| Returns the deviation distribution parameter.
bool | operator== (const param_type &other) const
| Returns `true` if the param_type is the same as `other`.
bool | operator!= (const param_type &other) const
| Returns `true` if the param_type is different from `other`.

## Detailed Description

template<class RealType = float>
class rocrand_cpp::lognormal_distribution< RealType >::param_type

The type of the distribution parameter set.

## Constructor & Destructor Documentation

## ◆ param_type()

template<class RealType = float>

rocrand_cpp::lognormal_distribution< RealType >::param_type::param_type | ( | RealType | m = 0.0,
|  | RealType | s = 1.0 )

inline

Constructs a `param_type` object with the given distribution parameters.

Parameters

  m | mean
  s | standard deviation

## Member Function Documentation

## ◆ m()

template<class RealType = float>

RealType rocrand_cpp::lognormal_distribution< RealType >::param_type::m | ( |  | ) | const

inline

Returns the deviation distribution parameter.

The default value is 1.0.

## ◆ s()

template<class RealType = float>

RealType rocrand_cpp::lognormal_distribution< RealType >::param_type::s | ( |  | ) | const

inline

Returns the deviation distribution parameter.

The default value is 1.0.

The documentation for this class was generated from the following file:

- /build/rocrand-7S8maf/rocrand-7.1.1/library/include/rocrand/rocrand.hpp